Lead sources
GET
/v1/sources
const url = 'https://api.threadkite.app/v1/sources';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.threadkite.app/v1/sources \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
id
required
string format: uuid
key
required
Stable handle for integrations
string
name
required
string
category
required
string
archivedAt
required
string format: date-time
createdAt
required
string format: date-time
Example
[ { "key": "google-ads", "name": "Google Ads", "category": "website" }]Missing or invalid API key
Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
errors
With code invalid: every problem with the request, by field (message is the first)
Array<object>
object
path
required
Dotted path inside the item, e.g. attributes.price.amountMinor
string
message
required
string
Example
{ "statusCode": 403, "code": "forbidden", "message": "You do not have permission to do that.", "errors": [ { "message": "Enter the make" } ]}The organisation is on the Free plan (code upgrade_required)
Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
feature
required
The feature that needs Pro
string
upgradePath
required
Where to upgrade or pay, in the web app
string
Example
{ "statusCode": 402, "code": "upgrade_required", "message": "Connections are part of Pro. Upgrade to connect texts, calls and more.", "feature": "extraSeats", "upgradePath": "/settings/billing"}The key does not have the scope (or the person the permission)
Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
errors
With code invalid: every problem with the request, by field (message is the first)
Array<object>
object
path
required
Dotted path inside the item, e.g. attributes.price.amountMinor
string
message
required
string
Example
{ "statusCode": 403, "code": "forbidden", "message": "You do not have permission to do that.", "errors": [ { "message": "Enter the make" } ]}Rate limit reached
Media typeapplication/json
object
statusCode
required
number
code
required
Stable machine-readable reason
string
message
required
string
retryAfter
required
Seconds until another request will be accepted
number
Example
{ "statusCode": 429, "code": "rate_limited", "message": "Too many requests. Each key can make 120 requests a minute; try again in 12 seconds.", "retryAfter": 12}